Page MenuHomePhabricator

Publish app bundle with 3-digit version for KaiStore
Closed, ResolvedPublic

Description

The JioStore requires a 4-digit version number so we added the CircleCI build number at the end of the package version found in package.json.

The KaiStore requires a 3-digit version number so we need to parameterize the build to produce those 2 variations.

The build number is important to know precisely which code is running. It is critical for analyzing client-side errors. The git hash could also be used.

Event Timeline

SBisson created this task.Nov 3 2020, 1:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2020, 1:26 PM
SBisson claimed this task.Nov 3 2020, 1:27 PM
SBisson triaged this task as High priority.
SBisson moved this task from Backlog to Dev on the Inuka-Team (Kanban) board.
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Nov 4 2020, 6:01 PM
SBisson added a subscriber: Jpita.

@Jpita the PR is merged.

This was needed to be able to re-submit to the KaiStore. I would like to get a good regression testing from you before doing so.

AMuigai closed this task as Resolved.Nov 10 2020, 1:37 PM